=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2011-11-07 15:08:19 +0000
+++ bzrlib/osutils.py	2011-11-07 16:46:09 +0000
@@ -2316,21 +2316,15 @@
     if concurrency is None:
         try:
             import multiprocessing
-        except ImportError:
+            concurrency = multiprocessing.cpu_count()
+        except (ImportError, NotImplementedError):
             # multiprocessing is only available on Python >= 2.6
+            # and multiprocessing.cpu_count() isn't implemented on all
+            # platforms
             try:
                 concurrency = _local_concurrency()
             except (OSError, IOError):
                 pass
-        else:
-            # multiprocessing.cpu_count() isn't implemented on all platforms
-            try:
-                concurrency = multiprocessing.cpu_count()
-            except NotImplementedError:
-                try:
-                    concurrency = _local_concurrency()
-                except (OSError, IOError):
-                    pass
     try:
         concurrency = int(concurrency)
     except (TypeError, ValueError):

